The officially official Devuan Forum!

You are not logged in.

#1 2021-12-28 09:10:08

kapqa
Member
Registered: 2019-01-02
Posts: 271  

AMDGPU-PRO for hardware accelleration/ Devuan 4.0

Hello,

i have seen this post here

https://wiki.debian.org/AMDGPUDriverOnStretchAndBuster2

and am wondering if there is possibility to install the latest AMD GPU-PRO Drivers also on Devuan 4.0 running Kernel 5.x.


Thank you.

Offline

#2 2021-12-28 10:20:03

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 2,326  

Re: AMDGPU-PRO for hardware accelleration/ Devuan 4.0

Read the warning at the top of your linked page. I do not recommend that method because it replaces the entire graphics stack — the PRO drivers are only useful for OpenCL, they perform worse then the open source version for everything else.

See https://dev1galaxy.org/viewtopic.php?id=4688 & https://gitlab.com/BCMM/amdgpu-opencl-on-debian for a way to install the OpenCL part of the PRO drivers so you don't ruin performance for other applications but be aware that it might wreck your system.


To obtain a root shell use su -. Using just su will result in "command not found" messages.

Offline

#3 2021-12-28 14:15:44

kapqa
Member
Registered: 2019-01-02
Posts: 271  

Re: AMDGPU-PRO for hardware accelleration/ Devuan 4.0

Hello,

head_on_a_Stick,

thanks for the effort,
but its not functioning.

let§s hope someone brillian come up with an one-liner to install the amdgpu-pro driver (with --opencl=legacy) also for debian/devuan.

Offline

#4 2021-12-28 14:56:35

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 2,326  

Re: AMDGPU-PRO for hardware accelleration/ Devuan 4.0

Look out for a rocm package in the unstable branch, as per the last post in my linked thread.


To obtain a root shell use su -. Using just su will result in "command not found" messages.

Offline

#5 2021-12-31 14:42:39

kapqa
Member
Registered: 2019-01-02
Posts: 271  

Re: AMDGPU-PRO for hardware accelleration/ Devuan 4.0

Thanks, do i need to upgrade from Devuan 4.0 to Devan 5.0 to get this package / Hardware accelleration?

Offline

#6 2021-12-31 17:11:12

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 2,326  

Re: AMDGPU-PRO for hardware accelleration/ Devuan 4.0

Read the link.


To obtain a root shell use su -. Using just su will result in "command not found" messages.

Offline

#7 2022-01-02 11:08:11

kapqa
Member
Registered: 2019-01-02
Posts: 271  

Re: AMDGPU-PRO for hardware accelleration/ Devuan 4.0

sorry, but i find the information confusioning,

i any case, it seems that i would not need the "rocm" package as the graphics card installed is older (polaris)

https://amdgpu-install.readthedocs.io/e … cript.html


    ROCr: Provides support for Vega 10 and newer hardware.

    Legacy: Provides support for hardware older than Vega 10.
        (Proprietary, requires EULA acceptance)

Offline

#8 2022-01-02 12:26:29

kapqa
Member
Registered: 2019-01-02
Posts: 271  

Re: AMDGPU-PRO for hardware accelleration/ Devuan 4.0

thanks head_on_a_stick,

have to retract my previous post, it seems to function actually,
the polars gets recognized "properly",

Platform #0: AMD Accelerated Parallel Processing
 `-- Device #0: gfx804

https://imgur.com/a/YQHTE02

Thank you very much!

EDIT: it "seems" to function, probably, is still better wording. don§t think that pulling a 29,2 MB .deb of a 685 MB Archive is capable of doing it the proper way as it supposed, but for some usecases it might be OK.

Last edited by kapqa (2022-01-02 12:44:35)

Offline

#9 2022-01-02 12:48:01

kapqa
Member
Registered: 2019-01-02
Posts: 271  

Re: AMDGPU-PRO for hardware accelleration/ Devuan 4.0

Unpacking amf-amdgpu-pro:amd64 (21.20-1292797) ...
dpkg: dependency problems prevent configuration of amf-amdgpu-pro:amd64:
 amf-amdgpu-pro:amd64 depends on vulkan-amdgpu-pro; however:
  Package vulkan-amdgpu-pro is not installed.
 amf-amdgpu-pro:amd64 depends on opencl-rocr-amdgpu-pro; however:
  Package opencl-rocr-amdgpu-pro is not installed.

dpkg: error processing package amf-amdgpu-pro:amd64 (--install):
 dependency problems - leaving unconfigured
Processing triggers for libc-bin (2.31-13+deb11u2) ...
Errors were encountered while processing:
 amf-amdgpu-pro:amd64

Offline

#10 2022-01-07 13:02:18

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 2,326  

Re: AMDGPU-PRO for hardware accelleration/ Devuan 4.0

kapqa wrote:

sorry, but i find the information confusioning,

The rocm package is not available yet. It might be available in the future.


To obtain a root shell use su -. Using just su will result in "command not found" messages.

Offline

Board footer